Game Develop Core: gd::LayersEditorPanel Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Static Protected Attributes | List of all members
gd::LayersEditorPanel Class Reference

Panel showing the layers of a layout and allowing to edit them. More...

`#include <LayersEditorPanel.h>`

Inheritance diagram for gd::LayersEditorPanel:
[legend]

## Public Member Functions

| LayersEditorPanel (wxWindow *parent, gd::Project &project_, gd::Layout &layout_, gd::MainFrameWrapper &mainFrameWrapper_)
void | Refresh ()
void | SetAssociatedLayoutEditorCanvas (gd::LayoutEditorCanvas *layoutCanvas_)
gd::LayoutEditorCanvas * | GetAssociatedLayoutEditorCanvas ()
virtual bool | Enable (bool enable=true)
Public Member Functions inherited from gd::LayoutEditorCanvasAssociatedEditor
virtual void | SelectedInitialInstance (const gd::InitialInstance &instance)
virtual void | DeselectedInitialInstance (const gd::InitialInstance &instance)
virtual void | DeselectedAllInitialInstance ()
virtual void | InitialInstancesUpdated ()
virtual void | ObjectsUpdated ()

## Static Protected Attributes

static const long | ID_AUITOOLBARITEM1 = wxNewId()
static const long | ID_AUITOOLBARITEM4 = wxNewId()
static const long | ID_AUITOOLBARITEM5 = wxNewId()
static const long | ID_AUITOOLBARITEM3 = wxNewId()
static const long | ID_AUITOOLBARITEM2 = wxNewId()
static const long | ID_AUITOOLBARITEM6 = wxNewId()
static const long | ID_AUITOOLBARITEM7 = wxNewId()
static const long | ID_AUITOOLBAR1 = wxNewId()
static const long | ID_PANEL3 = wxNewId()
static const long | ID_LISTCTRL1 = wxNewId()
static const long | idMenuEdit = wxNewId()
static const long | idMenuAdd = wxNewId()
static const long | idMenuDel = wxNewId()
static const long | idMenuUp = wxNewId()
static const long | idMenuDown = wxNewId()
static const long | ID_BITMAPBUTTON1 = wxNewId()
static const long | ID_BITMAPBUTTON6 = wxNewId()
static const long | ID_BITMAPBUTTON3 = wxNewId()

## Detailed Description

Panel showing the layers of a layout and allowing to edit them.

## Member Function Documentation

virtual bool gd::LayersEditorPanel::Enable | ( | bool | enable = `true`) |  |

inlinevirtual

Enable or disable the editor.

Implements gd::LayoutEditorCanvasAssociatedEditor.

gd::LayoutEditorCanvas* gd::LayersEditorPanel::GetAssociatedLayoutEditorCanvas | ( | ) |  |

inline

Return the associated layout editor canvas.

See Also
  LayersEditorPanel::SetAssociatedLayoutEditorCanvas

void gd::LayersEditorPanel::Refresh | ( | ) |  |

virtual

Refresh the layers list.

Implements gd::LayoutEditorCanvasAssociatedEditor.

void gd::LayersEditorPanel::SetAssociatedLayoutEditorCanvas | ( | gd::LayoutEditorCanvas * | layoutCanvas_) |  |

inline

The editor can be linked to a layout editor canvas to update it according to the changes made in the editor.

The documentation for this class was generated from the following files:

- LayersEditorPanel.h
- LayersEditorPanel.cpp